OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
8bpp_optimized.hpp File Reference

An optimized 8 bpp blitter. More...

`#include "8bpp_base.hpp"`
`#include "factory.hpp"`

Go to the source code of this file.

## Data Structures
class | Blitter_8bppOptimized
| 8bpp blitter optimised for speed. More...
struct | Blitter_8bppOptimized::SpriteData
| Data stored about a (single) sprite. More...
class | FBlitter_8bppOptimized
| Factory for the 8bpp blitter optimised for speed. More...

## Detailed Description

An optimized 8 bpp blitter.

Definition in file 8bpp_optimized.hpp.